libgutenprintui2 API Reference 5.3.3

Data Fields
stpui_image Struct Reference

`#include <gutenprintui.h>`

## Data Fields
stp_image_t | im
void(* | transpose )(struct stpui_image *image)
void(* | hflip )(struct stpui_image *image)
void(* | vflip )(struct stpui_image *image)
void(* | rotate_ccw )(struct stpui_image *image)
void(* | rotate_cw )(struct stpui_image *image)
void(* | rotate_180 )(struct stpui_image *image)
void(* | crop )(struct stpui_image *image, int left, int top, int right, int bottom)

## Field Documentation

## ◆ crop

void(* stpui_image::crop) (struct stpui_image *image, int left, int top, int right, int bottom)

## ◆ hflip

void(* stpui_image::hflip) (struct stpui_image *image)

## ◆ im

stp_image_t stpui_image::im

## ◆ rotate_180

void(* stpui_image::rotate_180) (struct stpui_image *image)

## ◆ rotate_ccw

void(* stpui_image::rotate_ccw) (struct stpui_image *image)

## ◆ rotate_cw

void(* stpui_image::rotate_cw) (struct stpui_image *image)

## ◆ transpose

void(* stpui_image::transpose) (struct stpui_image *image)

## ◆ vflip

void(* stpui_image::vflip) (struct stpui_image *image)

The documentation for this struct was generated from the following file:

- include/gutenprintui2/gutenprintui.h